<div class="d-flex flex-column h-100">
    <div class="header-container">
        <div class="d-flex align-items-center h-100 text-white">
            <h3 class="flex-fill m-0 title-label text-white">{{getTitle}}</h3>
            <ng-container *appAccess="APPT_BASIC; lookFor: 'D'">
                <i class="fa fa-trash-o ic-trash text-white" *ngIf="!isNew" (click)="deleteSchedule()"></i>
            </ng-container>
            <mat-icon class="ic-close text-white" (click)="onCancel()">close</mat-icon>
        </div>
    </div>
    <div class="content-container flex-fill overflow-auto">
        <form [formGroup]="editForm" autocomplete="off" class="add-edit-schedule-form">

            <div class="form-group row">
                <div class="col-xl-12" *ngIf="editForm.get('type').value == TYPE_BREAK">
                    <div class="w-100 text-right">
                        <mat-hint align="end" class="required-hint">Required</mat-hint>
                    </div>
                    <mat-form-field [appearance]="apperance" class="full-width break-form-field">
                        <mat-label>Break Name</mat-label>
                        <app-add-new-dropdown
                                formControlName="breakType"
                                [appData]="manageScheduleService.breaks$ | async"
                                [categoryId]="15"
                                [isFetchFromAPI]="false"
                                [selectedId]="editForm.get('breakType').value"
                                (appId)="appIdBreakHandler($event)"></app-add-new-dropdown>
                        <mat-error *ngIf="editForm.get('breakType').hasError('required')">
                            Break is required.
                        </mat-error>
                    </mat-form-field>
                </div>

                <div class="col-xl-12" [ngStyle]="{'order': editForm.get('type').value == TYPE_BREAK ? 3 : 1}">
                    <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                        <mat-label class="disable-label">Practitioner</mat-label>
                        <div *ngIf="selectedPractitioner" class="d-flex align-items-center" style="margin-top: -4px">
                            <kendo-avatar *ngIf="!selectedPractitioner.photo" [shape]="'circle'"
                                          [initials]="selectedPractitioner.initial"></kendo-avatar>
                            <kendo-avatar *ngIf="selectedPractitioner.photo" [shape]="'circle'"
                                          [imageSrc]="selectedPractitioner.photo"></kendo-avatar>
                            <span class="pl-2 disable-label">{{ selectedPractitioner.displayName }}</span>
                        </div>
                        <input matInput [disabled]="true" value=" " class="d-none"/>
                    </mat-form-field>
                </div>

                <div class="col-xl-12" style="order: 2;">
                    <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                        <mat-label class="disable-label">Date</mat-label>
                        <input matInput style="color: #999999 !important;" class="disable-label bg-transparent"
                               [disabled]="true"
                               [value]="selectedDataDate | timeFormat: 'DD/MM/YYYY'"/>
                        <img matSuffix src="./assets/ic-calendar-big.png" style="margin-top: -12px;"/>
                    </mat-form-field>
                </div>

                <div style="order: 2;">
                    <div class="start-end-time-picker-wrapper">
                        <div class="col-xl-12 d-flex justify-content-center align-items-center w-100">
                            <div class="start-time-wrapper">
                                <mat-form-field class="timepicker-mat-form-field" appearance="outline">
                                    <mat-label>Start Time</mat-label>
                                    <app-time-picker [min]="_startTime" [max]="_endTime" [interval]="interval"
                                                     [editable]="true"
                                                     formControlName="startDateUTC"
                                                     label="Start Time"></app-time-picker>
                                </mat-form-field>
                            </div>
                            <div class="end-time-wrapper">
                                <mat-form-field class="timepicker-mat-form-field" appearance="outline">
                                    <mat-label>End Time</mat-label>
                                    <app-time-picker [min]="min" [max]="_endTimeForEndTime" [interval]="interval"
                                                     [editable]="true"
                                                     formControlName="endDateUTC"
                                                     label="End Time"></app-time-picker>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>
                    <mat-error class="col-12 end-time-error" *ngIf="editForm.get('endDateUTC').hasError('endIsLess')">
                        End Time should be greater than Start Time.
                    </mat-error>
                </div>

                <div class="col-xl-12" style="order: 3;">
                    <div class="recurrence-pattern-label">
                        <div class="normal_16px_22px_font font-weight-bold">
                            Recurrence Pattern
                        </div>
                        <div class="ngx-rrule-wrapper">
                            <ngx-rrule #rrule formControlName="recurrenceRule"
                                       [hideEnd]="recurrenceRule && recurrenceRule.repeat.frequency == 'Never'"
                                       [frequency]="recurrFrequency"></ngx-rrule>
                        </div>
                    </div>
                </div>

                <div class="col-xl-12" style="order: 4;" *ngIf="isSchedule">
                    <div class="d-flex justify-content-between align-items-center book-online-wrapper"
                         [class.book-online-wrapper-no-recure]="rrule.getFrequency == 'Never'">
                        <div class="normal_16px_22px_font font-weight-bold">
                            Book Online
                        </div>
                        <kendo-switch class="book-online-switch" formControlName="bookOnline" [onLabel]="'On'"
                                      [offLabel]="'Off'"></kendo-switch>
                    </div>
                </div>
                <div class="col-xl-12" style="order: 5;">
                    <div class="mb-3" [class.mt-3]="isSchedule">
                        <mat-form-field [appearance]="apperance" class="full-width break-note-form-field">
                            <mat-label>Notes</mat-label>
                            <textarea matInput formControlName="note" class="break-note-textarea" appCharLimit
                                      [frmGroup]="editForm" fcName="note" [max]="250"></textarea>

                            <mat-error *ngIf="editForm.get('note').hasError('exceedLimit')">
                                {{editForm.get('note').getError('exceedLimit')}}
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="footer-container">
        <mat-divider></mat-divider>
        <div class="container-fluid d-flex align-items-center justify-content-end h-100">
            <button mat-stroked-button color="accent" class="cancel-btn" (click)="onCancel()">Cancel</button>
            <button *appAccess="APPT_BASIC; lookFor: ['C', 'E']" mat-raised-button color="accent" class="save-btn" (click)="onSave()">
                {{isUpserting ? 'Saving...' : "Save"}}
            </button>
        </div>
    </div>
</div>

<!-- DIALOG -->
<kendo-dialog
        *ngIf="isDialogOpen"
        [height]="295"
        [width]="738"
        autoFocusedElement="#nocancel">

    <div style="padding: 0 4px">
        <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
            <div class="dialog-title text-uppercase flex-fill">
                <span>{{dialogTitle}}</span>
            </div>
            <button mat-icon-button
                    class="modalClosebtn"
                    (click)="closeDialog()"
                    style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;"
                    aria-label="Close dialog">
                <mat-icon class="m-0">close</mat-icon>
            </button>
        </div>
        <mat-divider></mat-divider>

        <div class="normal_16px_font normalhelfont lightcolor"
             style="height: 141px; letter-spacing: 0.15px; padding: 20px 0; white-space: break-spaces;">
            {{dialogContent.trim()}}
        </div>
        <mat-divider></mat-divider>
        <div class="text-right w-100" style="margin-top: 19px;">
            <button *ngIf="isDisplayNoButton" mat-stroked-button #btnRef="matButton" color="accent"
                    class="mr-3 cancelbuttons btnheight dialog-btn"
                    (click)="clickCancel()" id="nocancel"
                    [disabled]="isClickedOnlyThisOccurrence || isClickedThisNFutureOccurrence">
                <i class="fa fa-spinner fa-pulse mr-2" *ngIf="isUpserting && isClickedThisNFutureOccurrence"></i>
                <span>{{noButtonName}}</span>
            </button>
            <button mat-raised-button color="accent" class="btnheight dialog-btn" (click)="clickOk()"
                    [disabled]="isClickedOnlyThisOccurrence || isClickedThisNFutureOccurrence">
                <i class="fa fa-spinner fa-pulse mr-2" *ngIf="isUpserting && isClickedOnlyThisOccurrence"></i>
                <span>{{yesButtonName}}</span>
            </button>
        </div>
    </div>
</kendo-dialog>
<!-- DIALOG -->

<!-- DATE AVAILABALITY DIALOG -->
<kendo-dialog
        class="date-availability-dialog "
        *ngIf="isDADialogOpen"
        [height]="650"
        [width]="547"
        autoFocusedElement="#nocancel">

    <div class="h-100 d-flex flex-column">
        <div class="d-flex align-items-center"
             style="height: 56px; min-height: 40px; padding: 0 20px; box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.2);">
            <div class="dialog-title text-uppercase flex-fill">
                <span>{{typeToString}} Availability Conflicts</span>
            </div>
            <button mat-icon-button
                    class="modalClosebtn"
                    (click)="closeDateAvailabilityDialog()"
                    style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;"
                    aria-label="Close dialog">
                <mat-icon class="m-0">close</mat-icon>
            </button>
            <mat-divider></mat-divider>
        </div>

        <div class="flex-fill" style="padding: 13px 20px;">
            <label class="normal_14px_22px_font black" style="letter-spacing: 0.15px; margin-bottom: 10px;">Availability
                status of all the Occurences are shown below:</label>
            <div class="da-table-wrapper da-list-container" style="max-height: 415px; overflow: hidden;">
                <div class="da-list-header d-flex align-items-center">
                    <div style="width: 65px;" class="da-list-cell h-100"></div>
                    <div style="width: 150px; padding-left: 21px"
                         class="lightcolor da-list-cell d-flex align-items-center h-100">Date
                    </div>
                    <div style="width: 162px; padding-left: 49px"
                         class="lightcolor da-list-cell d-flex align-items-center h-100">Time
                    </div>
                    <div style="width: 130px; padding-left: 30px"
                         class="lightcolor da-list-cell d-flex align-items-center h-100">Status
                    </div>
                </div>
                <div class="da-list-body" style="max-height: 409px; overflow: auto; padding-bottom: 30px;">
                    <div class="d-flex align-items-center da-list-row" *ngFor="let row of dateConflicts">

                        <div class="da-list-cell d-flex align-items-center justify-content-center text-center h-100"
                             style="width: 65px; min-width: 65px;">
                            <mat-checkbox class="date-dv-checkbox" color="warn" [disableRipple]="true"
                                          [disabled]="!row.isAvailable"
                                          [checked]="row.isAvailable">
                            </mat-checkbox>
                        </div>

                        <div class="da-list-cell d-flex align-items-center justify-content-center lightcolor h-100"
                             style="width: 150px; min-width: 150px; padding-left: 20px;">
                            {{row.dateTimeUTC | timeFormat: "ddd, Do MMM YYYY":false:true}}
                        </div>

                        <div class="da-list-cell d-flex align-items-center justify-content-center lightcolor text-center h-100"
                             style="width: 162px; min-width: 162px;">
                            {{editForm.get('startDateUTC').value | timeFormat: "hh:mm A":false:false}} -
                            {{editForm.get('endDateUTC').value | timeFormat: "hh:mm A":false:false}}
                        </div>

                        <div class="da-list-cell d-flex align-items-center justify-content-center lightcolor h-100"
                             style="width: 130px; min-width: 130px;">
                            <button
                                    class="da-a-na-status text-white user-select-none {{row.isAvailable ? 'available' : 'unavailable'}}">
                                {{row.isAvailable ? "Available" : "Unavailable"}}
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <label class="normal_14px_22px_font black mb-0"
                   style="letter-spacing: 0.15px; margin-top: 10px;">{{typeToString}}
                will be created only in the available time slots.</label>
        </div>
        <mat-divider></mat-divider>
        <div class="text-right w-100" style="height: 69px; margin-top: 19px; padding: 0 20px;">
            <button mat-stroked-button #btnRef="matButton" color="accent"
                    class="mr-3 cancelbuttons btnheight da-dialog-cancel-btn"
                    (click)="closeDateAvailabilityDialog()" id="nocancel">
                Cancel
            </button>
            <button mat-raised-button color="accent" class="btnheight da-dialog-save-btn" (click)="clickConfirm()">
                Save
            </button>
        </div>
    </div>
</kendo-dialog>
<!-- DIALOG -->
